### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-gallery/ecl-gallery.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit` `OnDestroy` `OnInit`

### Metadata

selector | `ecl-gallery`
templateUrl | `./ecl-gallery.component.html`

### Index

###### Properties
externalVideoChild footerChild galleryItems headerChild imageChild isDialogVisible isMobile item itemIndex itemsCount overlayChild role videoChild
###### Methods
canBeDownloaded canBeShared onClose onDownload onEscapeKeydownHandler onNext onPrevious onResize onShare onViewAll getCssClasses
###### Inputs
isDownloadable isShareable class e2eAttr
###### Outputs
download hide itemSwitch share show
###### HostBindings
attr.role class
###### HostListeners
document:keydown.escape window:resize
###### Accessors
cssClasses

### Constructor

`constructor(el: ElementRef, cdkBreakpointObserver: BreakpointObserver)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No
cdkBreakpointObserver | `BreakpointObserver` | No

### Inputs

isDownloadable
Type : `boolean | any`
Default value : `true`

isShareable
Type : `boolean | any`
Default value : `true`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

download
Type : `EventEmitter`

hide
Type : `EventEmitter`

itemSwitch
Type : `EventEmitter`

share
Type : `EventEmitter`

show
Type : `EventEmitter`

### HostBindings

attr.role
Type : `string`
Default value : `'region'`

class
Type : `any`

### HostListeners

document:keydown.escape
Arguments : `'$event'`
`document:keydown.escape(event: KeyboardEvent)`

window:resize
Arguments : `'$event'`
`window:resize(event)`

### Methods

canBeDownloaded
`canBeDownloaded()`
Returns : `boolean`

canBeShared
`canBeShared()`
Returns : `boolean`

onClose
`onClose(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onDownload
`onDownload(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onEscapeKeydownHandler
`onEscapeKeydownHandler(event: KeyboardEvent)`
Decorators : `@HostListener('document:keydown.escape', ['$event'])`
Parameters :
Name | Type | Optional
event | `KeyboardEvent` | No
Returns : `void`

onNext
`onNext(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onPrevious
`onPrevious(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onResize
`onResize(event)`
Decorators : `@HostListener('window:resize', ['$event'])`
Parameters :
Name | Optional
event | No
Returns : `void`

onShare
`onShare(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onViewAll
`onViewAll(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

externalVideoChild
Type : `ElementRef`
Decorators : `@ViewChild('externalVideo')`

footerChild
Type : `ElementRef`
Decorators : `@ViewChild('footer')`

galleryItems
Type : `QueryList<EclGalleryItemComponent>`
Decorators : `@ContentChildren(EclGalleryItemComponent)`

headerChild
Type : `ElementRef`
Decorators : `@ViewChild('header')`

imageChild
Type : `ElementRef`
Decorators : `@ViewChild('image')`

isDialogVisible
Type : `boolean`
Default value : `false`

isMobile
Type : `boolean`
Default value : `false`

item
Type : `EclGalleryItemComponent`

itemIndex
Type : `number`

itemsCount
Type : `number`

overlayChild
Type : `ElementRef`
Decorators : `@ViewChild('overlay')`

role
Type : `string`
Default value : `'region'`
Decorators : `@HostBinding('attr.role')`

videoChild
Type : `ElementRef`
Decorators : `@ViewChild('video')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""